from turbogears import controllers

class simple_report(controllers.Controller):

	def __init__(self):
        	super(simple_report, self).__init__()
		self.test_flags = ()
		self.vips = []
		self.setup()

	def setup(self): #pragma: no cover
		raise StandardError("Please override this!")

        def sqlerr(self, exception):  #pragma: no cover
	    self.log.error("%s SQL error %s", self.__class__.__name__, str(exception.args))
	    return self.msg_unexpected

	def perm_org(self, interm):
		return 0 #pragma: no cover

	def test__index(self, t, data): #pragma: no cover
		t.cargo = t.tu.call(self.index, **data)
		if not t.cargo["err"] or t.cargo["err"] == "No log entries found":
			t.cargo = None
			return True
		t.cargo = None
		return False
	
	def test__index_lite(self, t, data): #pragma: no cover
		t.cargo = t.tu.call(self.lite, **data)
		if not t.cargo["err"] or t.cargo["err"] == "No log entries found":
			t.cargo = None
			return True
		t.cargo = None
		return False

	def test__run(self, t): #pragma: no cover
		t.cargo = None
		t.C = self
	
		t.logmask = 0
	
		t.forgive_permission_hole = 1
		t.forgive_org_permission_hole = 1
		t.logmask = t.DONE + t.FAIL + t.DENIED
	
		res = t.permission_explode("empty page", self.test__index, t.DONE, {})
		if not res:
			t.fail("Failed")
	
		t.forgive_permission_hole = 0
		t.forgive_org_permission_hole = 0
		t.logmask = 0
	
		if 'anyone_index_allowed' in t.flags():
			t.forgive_permission_hole = 1
			t.forgive_org_permission_hole = 1
			t.logmask = t.DENIED + t.DONE + t.FAIL
		
		for req in self.valid_requests:
			res = t.permission_explode("query", self.test__index, t.DONE, req)
			if not res:
				t.fail("Failed")
	
		for req in self.invalid_requests:
			res = t.permission_explode("invalid query", self.test__index, t.DONE, req)
			if res and not t.forgive_permission_hole:
				t.fail("Should have failed")
	
		t.forgive_permission_hole = 0
		t.forgive_org_permission_hole = 0
	
