<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns='http://www.w3.org/1999/xhtml' xmlns:py='http://purl.org/kid/ns#' py:extends="'master.kid'">
  <?python from luca.mylib import dtoc
from luca.batches import test_cancelled
?>
  <head>
    <title>${title}</title>
  </head>
  <body>
    <h3>${title}</h3>
    <div class='motherdata' id='motherdata'>
      <form name='mother' method='get'>
		Parent organization being edited: 
		<select name='mother' value='0'><option selected="${mother['id'] == org and 'x' or None}" py:for='mother in mothers' value="${mother['id']}"><span py:content="mother['description']">Org name</span>
          </option>
        </select>
        <button type='submit'>Choose this organization</button>
      </form>
    </div>
    <div py:if='org > 0'>
      <a href='lite_edit?id=0&amp;mother=${org}'>Add new batch</a>
    </div>
    <div py:contents='softerr' class='errmsg2' py:if='softerr'>
    </div>
    <div class='tabledata' id='tabledata'>
      <table>
        <thead>
          <tr>
            <th>#</th>
            <th>Description</th>
            <th>Initial day</th>
            <th>Final day</th>
            <th>Status</th>
            <th/>
            <th/>
            <th/>
          </tr>
        </thead>
        <tbody>
          <tr py:for='i, row in enumerate(rows)' class="${i % 2 and 'odd' or 'even'}">
            <td>
              <span py:content='row.id'>X</span>
            </td>
            <td>
              <span py:content='row.description'>X</span>
            </td>
            <td>
              <span py:content='dtoc(row.date1)'>X</span>
            </td>
            <td>
              <span py:content='dtoc(row.date2)'>X</span>
            </td>
            <td>
              <span id="${'sta'+str(row.id)}" py:content="row.closed and 'Closed' or 'Open'">Close/Open</span>
            </td>
            <td>
              <span py:content="test_cancelled(row.journals) and 'All entries cancelled' or None"/>
            </td>
            <td>
              <a href='lite_edit?mother=${org}&amp;id=${row.id}' class='edit'>Edit</a>
            </td>
            <td>
              <a href='lite_remove?mother=${org}&amp;id=${row.id}' class='edit' py:if='not row.journals'>Remove</a>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </body>
</html>
