<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns='http://www.w3.org/1999/xhtml' xmlns:py='http://purl.org/kid/ns#' py:extends="'master.kid'">
  <head>
    <title>${title}</title>
  </head>
  <body>
    <h3>${title}</h3>
    <div class='motherdata' id='motherdata'>
      <form name='motherselect' method='get'>
        <table>
          <tr>
            <td>
		Organization: 
		</td>
            <td>
              <select name='grandmother' value='0'>
                <option selected="${grandmother['id'] == org and 'x' or None}" py:for='grandmother in grandmothers' value="${grandmother['id']}">
                  <span py:content="grandmother['description']">Organization name</span>
                </option>
              </select>
            </td>
          </tr>
          <tr>
            <td>
		Batch:
		</td>
            <td>
              <select name='mother' value='0'>
                <option selected="${mother['id'] == batch and 'x' or None}" py:for='mother in mothers' value="${mother['id']}">
                  <span py:content="mother['description']">Batch name</span>
                </option>
              </select>
            </td>
          </tr>
        </table>
        <button type='submit'>Choose this organization/batch</button>
      </form>
      <div py:if='org > 0 and batch > 0 and not batch_open' class='journal_reopenbatch'>
	Batch is closed. <a href='reopen_batch_lite?mother=${batch}&amp;grandmother=${org}' class='edit'>Reopen batch</a>
      </div>
    </div>
    <div py:if='batch > 0 and org > 0'>
      <a href='lite_edit?id=0&amp;mother=${batch}&amp;grandmother=${org}'>Add new journal</a>
    </div>
    <div py:contents='softerr' class='errmsg2' py:if='softerr'>
    </div>
    <div class='tabledata' id='tabledata'>
      <table>
        <thead>
          <tr>
            <th>#</th>
            <th>Date</th>
            <th>Account</th>
            <th>Description/CC</th>
            <th class='number'>DB</th>
            <th class='number'>CR</th>
            <th>Status</th>
            <th/>
          </tr>
        </thead>
        <tbody>
          <tr py:for='i, row in enumerate(rows)' class="${row['unbalanced'] and 'unbalanced' or (i % 2 and 'odd' or 'even')}">
            <td class='journalcode'>
              <span py:content="row['id']">X</span>
            </td>
            <td>
              <span py:content="row['day_dtoc']">X</span>
            </td>
            <td>
              <span py:content="row['account_full']">X</span>
            </td>
            <td>
              <span py:content="row['description_full']">X</span>
              <br py:if="row['costcenter_full']"/>
              <span py:if="row['costcenter_full']" py:content="row['costcenter_full']">X</span>
            </td>
            <td class='number'>
              <span py:if="row['value_db']" py:content="row['value_db']">X</span>
            </td>
            <td class='number'>
              <span py:if="row['value_cr']" py:content="row['value_cr']">X</span>
            </td>
            <td>
              <span py:content="row['cancelled'] and 'Cancelled' or 'Ok'"/>
            </td>
            <td>
              <a href="lite_edit?grandmother=${org}&amp;mother=${batch}&amp;id=${row['id']}" class='edit' py:if='batch_open'>Edit</a>
            </td>
          </tr>
        </tbody>
        <tfoot>
          <tr class='checktotal' py:if='mother and grandmother'>
            <td/>
            <td/>
            <td>
              <span>Checksum</span>
            </td>
            <td/>
            <td>
              <span py:if='rows' py:content='total_db'>X</span>
            </td>
            <td>
              <span py:if='rows' py:content='total_cr'>X</span>
            </td>
            <td/>
            <td/>
          </tr>
        </tfoot>
      </table>
    </div>
  </body>
</html>
