<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns='http://www.w3.org/1999/xhtml' xmlns:py='http://purl.org/kid/ns#' py:extends="'master.kid'">
  <head>
    <title>Account classes</title>
  </head>
  <body>
    <h3>Account classes</h3>
    <p>
      <a href='lite_edit?id=0'>Add new user</a>
    </p>
    <div class='tabledata' id='tabledata'>
      <table>
        <thead>
          <tr>
            <th>Order number</th>
            <th>Description</th>
            <th>Superclass</th>
            <th>Normal balance</th>
            <th/>
            <th/>
          </tr>
        </thead>
        <tbody>
          <tr py:for='i, row in enumerate(rows)' class="${i % 2 and 'odd' or 'even'}">
            <td>
              <span py:content='row.oid'>OID</span>
            </td>
            <td>
              <span py:content='row.description'>Description</span>
            </td>
            <td>
              <span py:content="row.is_income and 'Incoming/Expense' or 'Assets/Liabilities'">Incoming/expense</span>
            </td>
            <td>
              <span py:content="row.normal_balance and 'Debit' or 'Credit'">Normal balance</span>
            </td>
            <td>
              <a href='lite_edit?id=${row.id}' class='edit'>Edit</a>
            </td>
            <td>
              <a href='lite_remove?id=${row.id}' class='edit'>Remove</a>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </body>
</html>
